Next Commerce
Subscriptions

Subscriptions Lines Destroy

Delete a subscription line in an existing subscription line.

DELETE
/subscriptions/{id}/lines/{lineId}/

Authorization

oauth2 subscriptions:write
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: subscriptions:write

Path Parameters

id*integer

A unique integer value identifying the Subscription.

lineId*integer

A unique integer value identifying the Subscription line.

Header Parameters

X-29next-API-Version*string
Default"unstable"
Value in"unstable"

Response Body

curl -X DELETE "https://example.29next.store/api/admin/subscriptions/0/lines/0/" \
  -H "X-29next-API-Version: unstable" \
  -H "Authorization: Bearer "
Empty